%define upstream_name    parent
%define upstream_version 0.244

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Establish an ISA relationship with base classes at compile time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CO/CORION/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.400.0
BuildArch:  noarch

Provides:   perl(parent)

%description
Allows you to both load one or more modules, while setting up inheritance from
those modules at the same time.  Mostly similar in effect to

    package Baz;
    BEGIN {
        require Foo;
        require Bar;
        push @ISA, qw(Foo Bar);
    }

By default, every base class needs to live in a file of its own.
If you want to have a subclass and its parent class in the same file, you
can tell C<parent> not to load any modules by using the C<-norequire> switch:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/parent.pm


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.244.0-2.mga10
+ Revision: 2235233
- Mageia 10 Mass Rebuild

* Fri Jan 31 2025 daviddavid <daviddavid> 0.244.0-1.mga10
+ Revision: 2143996
- update to 0.244

* Mon Mar 21 2022 umeabot <umeabot> 0.238.0-3.mga9
+ Revision: 1811241
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.238.0-2.mga8
+ Revision: 1521761
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 shlomif <shlomif> 0.238.0-1.mga8
+ Revision: 1489034
- update to 0.238

* Mon Dec 31 2018 luigiwalser <luigiwalser> 0.237.0-1.mga7
+ Revision: 1347650
- 0.237

* Wed Sep 19 2018 umeabot <umeabot> 0.234.0-4.mga7
+ Revision: 1270381
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.234.0-3.mga6
+ Revision: 1031640
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.234.0-2.mga6
+ Revision: 967959
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.234.0-1.mga6
+ Revision: 850923
- update to 0.234

* Wed Oct 15 2014 umeabot <umeabot> 0.228.0-5.mga5
+ Revision: 745144
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.228.0-4.mga5
+ Revision: 687050
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.228.0-3.mga5
+ Revision: 597009
- perl 5.18.2 rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.228.0-2.mga4
+ Revision: 536974
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.228.0-1.mga4
+ Revision: 486042
- update to 0.228

* Sun Sep 08 2013 sander85 <sander85> 0.227.0-1.mga4
+ Revision: 476020
- update to 0.227

* Sun Aug 04 2013 sander85 <sander85> 0.226.0-1.mga4
+ Revision: 463516
- update to 0.226

* Sun Jan 13 2013 umeabot <umeabot> 0.225.0-3.mga3
+ Revision: 375536
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.225.0-2.mga2
+ Revision: 103654
- increase rel for rebuild

* Thu Mar 10 2011 jquelin <jquelin> 0.225.0-1.mga1
+ Revision: 67427
- update to 0.225

* Sat Feb 26 2011 jquelin <jquelin> 0.224.0-2.mga1
+ Revision: 60626
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.224.0-1.mga1
+ Revision: 22038
- cleaning spec file
- imported package perl-parent


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.224.0-1mdv2011.0
+ Revision: 596724
- update to 0.224

* Thu Sep 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.223.0-1mdv2010.0
+ Revision: 427899
- update to 0.223

* Mon Aug 31 2009 Jérôme Quelin <jquelin@mandriva.org> 0.222.0-1mdv2010.0
+ Revision: 422898
- update to 0.222

* Sun Apr 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.221-3mdv2009.1
+ Revision: 364122
- forgot to bump mkrel

* Sun Apr 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.221-2mdv2009.1
+ Revision: 364121
- adding missing provides

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.221-2mdv2009.0
+ Revision: 268913
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.221-1mdv2009.0
+ Revision: 195404
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.219-1mdv2008.1
+ Revision: 109067
- import perl-parent


